package org.xbib.event.async.impl.future;

import org.xbib.event.async.Future;
import org.xbib.event.async.impl.ContextInternal;

/**
 * Expose some of the future internal stuff.
 */
public interface FutureInternal<T> extends Future<T> {

  /**
   * @return the context associated with this promise or {@code null} when there is none
   */
  ContextInternal context();

  /**
   * Add a listener to the future result.
   *
   * @param listener the listener
   */
  void addListener(Listener<T> listener);

}
