package org.xbib.event.clock;

import org.xbib.event.EventConsumer;

import java.io.IOException;
import java.util.logging.Logger;
import org.xbib.event.bus.AllowConcurrentEvents;
import org.xbib.event.bus.Subscribe;

public class SimpleClockEventConsumer implements EventConsumer {

    private static final Logger logger = Logger.getLogger(SimpleClockEventConsumer.class.getName());

    public SimpleClockEventConsumer() {
    }

    @Subscribe
    @AllowConcurrentEvents
    void onEvent(ClockEvent event) {
        logger.info("received demo clock event, instant = " + event.getInstant());
    }

}
