package org.xbib.event.generic;

import org.xbib.event.common.EventImpl;

public class GenericEventImpl extends EventImpl implements GenericEvent {

    private Listener listener;

    public GenericEventImpl() {
        this(null);
    }

    public GenericEventImpl(Listener listener) {
        this.listener = listener;
    }

    public GenericEventImpl setListener(Listener listener) {
        this.listener = listener;
        return this;
    }

    public Listener getListener() {
        return listener;
    }

    public void received() {
        if (listener != null) {
            listener.listen(this);
        }
    }
}
