package org.xbib.event.timer;

import org.xbib.event.EventConsumer;
import org.xbib.event.bus.AllowConcurrentEvents;
import org.xbib.event.bus.Subscribe;

import java.io.IOException;
import java.time.Instant;
import java.util.logging.Level;
import java.util.logging.Logger;

public class TestTimerEventConsumer implements EventConsumer {

    private static final Logger logger = Logger.getLogger(TestTimerEventConsumer.class.getName());

    @Subscribe
    @AllowConcurrentEvents
    void onEvent(TestTimerEvent event) {
        logger.log(Level.INFO, "received test timer event on  " + Instant.now() + " event instant = " + event.getInstant());
    }

}
