package org.xbib.event.async.streams;

import org.xbib.event.async.Handler;

/**
 * Base interface for a stream.
 */
public interface StreamBase {

  /**
   * Set an exception handler.
   *
   * @param handler the handler
   * @return a reference to this, so the API can be used fluently
   */
  StreamBase exceptionHandler(Handler<Throwable> handler);
}
