package org.xbib.event.async.yield;

/**
 * Sequential traverser with internal and individually step approach.
 */
public interface Advancer<T> {
    /**
     * An Advancer object without elements.
     */
    static <R> Advancer<R> empty() {
        return action -> false;
    }

    /**
     * If a remaining element exists, yields that element through
     * the given action.
     */
    boolean tryAdvance(Yield<? super T> yield);
}
