package org.xbib.event.async.yield.boxes;

public class IntBox {

    protected int value;

    private boolean isPresent;

    public IntBox() {
        this(Integer.MIN_VALUE, false);
    }

    public IntBox(int value, boolean isPresent) {
        this.value = value;
        this.isPresent = isPresent;
    }

    public IntBox(int identity) {
        this.value = identity;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public boolean isPresent() {
        return isPresent;
    }

    public void turnPresent(int value) {
        this.value = value;
        isPresent = true;
    }
}
