package org.xbib.event.log;

import java.io.IOException;
import java.nio.file.Path;
import java.time.Instant;

public interface Rotatable {

    RotationConfig getConfig();

    void rotate(RotationPolicy policy, Instant instant) throws IOException;

    void onException(RotationPolicy policy, Instant instant, Path path, Throwable throwable);

}
