package org.xbib.event.path;

import org.xbib.event.Event;

import java.io.IOException;
import java.nio.file.Path;

public interface PathEvent extends Event {

    void setPath(Path path);

    Path getPath();

    void setFile(Path file);

    Path getFile();

    void setSuffix(String suffix);

    String getSuffix();

    void success() throws IOException;

    void fail() throws IOException;

}
