package org.xbib.event.syslog.test;

import org.junit.jupiter.api.Test;
import org.xbib.event.syslog.SyslogService;
import org.xbib.settings.Settings;

import java.io.IOException;

public class SyslogServiceTest {

    @Test
    public void testSyslogService() throws InterruptedException, IOException {
        Settings settings = Settings.settingsBuilder()
                .put("port", 1514)
                .build();
        SyslogService syslogService = new SyslogService(settings, null);
        syslogService.startTcp();
        Thread.sleep(60000L); // send a syslog from console
        syslogService.close();
    }
}
